Bug 176943 - [patch] net/fpc-ldap: adoption of optionsNG for net/fpc-*, trim historical headers
Summary: [patch] net/fpc-ldap: adoption of optionsNG for net/fpc-*, trim historical he...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-14 05:50 UTC by Jason Helfman
Modified: 2013-03-14 06:55 UTC (History)
0 users

See Also:


Attachments
file.diff (1.48 KB, patch)
2013-03-14 05:50 UTC, Jason Helfman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Helfman freebsd_committer 2013-03-14 05:50:00 UTC
adoption of optionsNG for net/fpc-*, trim historical headers
Comment 1 Edwin Groothuis freebsd_committer 2013-03-14 05:50:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-03-14 06:32:24 UTC
Author: jgh
Date: Thu Mar 14 06:32:04 2013
New Revision: 314133
URL: http://svnweb.freebsd.org/changeset/ports/314133

Log:
  - adopt optionsNG and trim historical headers
  
  PR:		176928
  PR:		176936
  PR:		176937
  PR:		176938
  PR:		176939
  PR:		176940
  PR:		176941
  PR:		176942
  PR:		176943
  PR:		176944
  PR:		176945
  Submitted by:	jgh@
  Approved by:	portmgr (miwi)

Modified:
  head/archivers/fpc-unzip/Makefile   (contents, props changed)
  head/audio/fpc-a52/Makefile   (contents, props changed)
  head/audio/fpc-mad/Makefile   (contents, props changed)
  head/audio/fpc-modplug/Makefile   (contents, props changed)
  head/audio/fpc-oggvorbis/Makefile   (contents, props changed)
  head/audio/fpc-openal/Makefile   (contents, props changed)
  head/audio/fpc-sndfile/Makefile   (contents, props changed)
  head/databases/fpc-gdbm/Makefile   (contents, props changed)
  head/databases/fpc-ibase/Makefile   (contents, props changed)
  head/databases/fpc-mysql/Makefile   (contents, props changed)
  head/databases/fpc-odbc/Makefile   (contents, props changed)
  head/databases/fpc-oracle/Makefile   (contents, props changed)
  head/databases/fpc-postgres/Makefile   (contents, props changed)
  head/databases/fpc-sqlite/Makefile   (contents, props changed)
  head/devel/fpc-bfd/Makefile   (contents, props changed)
  head/devel/fpc-dbus/Makefile   (contents, props changed)
  head/devel/fpc-newt/Makefile   (contents, props changed)
  head/devel/fpc-sdl/Makefile   (contents, props changed)
  head/ftp/fpc-libcurl/Makefile   (contents, props changed)
  head/graphics/fpc-cairo/Makefile   (contents, props changed)
  head/graphics/fpc-fpgtk/Makefile   (contents, props changed)
  head/graphics/fpc-ggi/Makefile   (contents, props changed)
  head/graphics/fpc-hermes/Makefile   (contents, props changed)
  head/graphics/fpc-imagemagick/Makefile   (contents, props changed)
  head/graphics/fpc-imlib/Makefile   (contents, props changed)
  head/graphics/fpc-libgd/Makefile   (contents, props changed)
  head/graphics/fpc-libpng/Makefile   (contents, props changed)
  head/graphics/fpc-opengl/Makefile   (contents, props changed)
  head/graphics/fpc-proj4/Makefile   (contents, props changed)
  head/graphics/fpc-rsvg/Makefile   (contents, props changed)
  head/graphics/fpc-svgalib/Makefile   (contents, props changed)
  head/lang/fpc-lua/Makefile   (contents, props changed)
  head/lang/fpc-rexx/Makefile   (contents, props changed)
  head/lang/fpc-tcl/Makefile   (contents, props changed)
  head/lang/fpc-units/Makefile   (contents, props changed)
  head/math/fpc-fftw/Makefile   (contents, props changed)
  head/math/fpc-gmp/Makefile   (contents, props changed)
  head/multimedia/fpc-dts/Makefile   (contents, props changed)
  head/multimedia/fpc-matroska/Makefile   (contents, props changed)
  head/net/fpc-ldap/Makefile   (contents, props changed)
  head/net/fpc-pcap/Makefile   (contents, props changed)
  head/security/fpc-openssl/Makefile   (contents, props changed)
  head/textproc/fpc-aspell/Makefile   (contents, props changed)
  head/textproc/fpc-libxml2/Makefile   (contents, props changed)
  head/www/fpc-httpd22/Makefile   (contents, props changed)
  head/x11-toolkits/fpc-gtk1/Makefile   (contents, props changed)
  head/x11-toolkits/fpc-gtk2/Makefile   (contents, props changed)
  head/x11-toolkits/fpc-xforms/Makefile   (contents, props changed)
  head/x11/fpc-x11/Makefile   (contents, props changed)

Modified: head/archivers/fpc-unzip/Makefile
==============================================================================
--- head/archivers/fpc-unzip/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/archivers/fpc-unzip/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-unzip
-# Date created:		2006-06-05
-# Whom:			Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
-#
+# Created by: Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	archivers lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	UNZIP	"Install unzip tools"	on
+OPTIONS_DEFINE=	UNZIP
+UNZIP_DESC=	Install unzip tools
+OPTIONS_DEFAULT=	UNZIP
 
 .include "${MASTERDIR}/Makefile"

Modified: head/audio/fpc-a52/Makefile
==============================================================================
--- head/audio/fpc-a52/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/audio/fpc-a52/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-a52
-# Date created: 	2010-04-22
-# Whom: 		Christopher Key <cjk32@cam.ac.uk>
-#
+# Created by: Christopher Key <cjk32@cam.ac.uk>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	audio lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	LIBA52	"Install a52 library"	on
+OPTIONS_DEFINE=	LIBA52
+LIBA52_DESC= Install a52 library
+OPTIONS_DEFAULT=	LIBA52
 
 .include "${MASTERDIR}/Makefile"

Modified: head/audio/fpc-mad/Makefile
==============================================================================
--- head/audio/fpc-mad/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/audio/fpc-mad/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-mad
-# Date created: 	2010-04-22
-# Whom: 		Christopher Key <cjk32@cam.ac.uk>
-#
+# Created by: Christopher Key <cjk32@cam.ac.uk>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	audio lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	LIBMAD	"Install mad library"	on
+OPTIONS_DEFINE=	LIBMAD
+LIBMAD_DESC=	Install mad library
+OPTIONS_DEFAULT=	LIBMAD
 
 .include "${MASTERDIR}/Makefile"

Modified: head/audio/fpc-modplug/Makefile
==============================================================================
--- head/audio/fpc-modplug/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/audio/fpc-modplug/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-modplug
-# Date created: 	2010-04-22
-# Whom: 		Christopher Key <cjk32@cam.ac.uk>
-#
+# Created by: Christopher Key <cjk32@cam.ac.uk>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	audio lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	LIBMODPLUG	"Install modplug library"	on
+OPTIONS_DEFINE=	LIBMODPLUG
+LIBMODPLUG_DESC=	Install modplug library
+OPTIONS_DEFAULT=	LIBMODPLUG
 
 .include "${MASTERDIR}/Makefile"

Modified: head/audio/fpc-oggvorbis/Makefile
==============================================================================
--- head/audio/fpc-oggvorbis/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/audio/fpc-oggvorbis/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-oggvorbis
-# Date created: 	2010-04-22
-# Whom: 		Christopher Key <cjk32@cam.ac.uk>
-#
+# Created by: Christopher Key <cjk32@cam.ac.uk>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	audio lang
@@ -18,7 +14,9 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	LIBOGG		"Install ogg library"	on \
-		LIBVORBIS	"Install vorbis library"	on
+OPTIONS_DEFINE=	LIBOGG LIBVORBIS 
+LIBOGG_DESC=	Install ogg library
+LIBVORBIS_DESC=	Install vorbis library
+OPTIONS_DEFAULT=	LIBOGG LIBVORBIS
 
 .include "${MASTERDIR}/Makefile"

Modified: head/audio/fpc-openal/Makefile
==============================================================================
--- head/audio/fpc-openal/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/audio/fpc-openal/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-openal
-# Date created: 	2010-04-22
-# Whom: 		Christopher Key <cjk32@cam.ac.uk>
-#
+# Created by: Christopher Key <cjk32@cam.ac.uk>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	audio lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	OPENAL	"Install openal library"	on
+OPTIONS_DEFINE=	OPENAL
+OPENAL_DESC=	Install openal library
+OPTIONS_DEFAULT=	OPENAL
 
 .include "${MASTERDIR}/Makefile"

Modified: head/audio/fpc-sndfile/Makefile
==============================================================================
--- head/audio/fpc-sndfile/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/audio/fpc-sndfile/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-sndfile
-# Date created: 	2010-04-22
-# Whom: 		Christopher Key <cjk32@cam.ac.uk>
-#
+# Created by: Christopher Key <cjk32@cam.ac.uk>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	audio lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	LIBSNDFILE	"Install sndfile library"	on
+OPTIONS_DEFINE=	LIBSNDFILE
+LIBSNDFILE_DESC=	Install sndfile library
+OPTIONS_DEFAULT=	LIBSNDFILE
 
 .include "${MASTERDIR}/Makefile"

Modified: head/databases/fpc-gdbm/Makefile
==============================================================================
--- head/databases/fpc-gdbm/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/databases/fpc-gdbm/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-gdbm
-# Date created: 			2006-06-05
-# Whom: 				Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
-#
+# Created by: Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	databases lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	GDBM	"Install the GNU database manager"	on
+OPTIONS_DEFINE=	GDBM
+GDBM_DESC=	Install the GNU database manager
+OPTIONS_DEFAULT=	GDBM
 
 .include "${MASTERDIR}/Makefile"

Modified: head/databases/fpc-ibase/Makefile
==============================================================================
--- head/databases/fpc-ibase/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/databases/fpc-ibase/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	Free Pascal ibase Unit
-# Date created: 			9 February 2004
-# Whom: 				John Merryweather Cooper
-#
+# Created by: John Merryweather Cooper
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	databases lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	IBASE	"Install Interbase/Firebird client"	on
+OPTIONS_DEFINE=	IBASE
+IBASE_DESC=	Install Interbase/Firebird client
+OPTIONS_DEFAULT=	IBASE
 
 .include "${MASTERDIR}/Makefile"

Modified: head/databases/fpc-mysql/Makefile
==============================================================================
--- head/databases/fpc-mysql/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/databases/fpc-mysql/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	Free Pascal mysql Unit
-# Date created: 			9 February 2004
-# Whom: 				John Merryweather Cooper
-#
+# Created by: John Merryweather Cooper
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	databases lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	MYSQL	"Install MySQL client"	on
+OPTIONS_DEFINE=	MYSQL
+MYSQL_DESC=	Install MySQL client
+OPTIONS_DEFAULT=	MYSQL
 
 .include "${MASTERDIR}/Makefile"

Modified: head/databases/fpc-odbc/Makefile
==============================================================================
--- head/databases/fpc-odbc/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/databases/fpc-odbc/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	Free Pascal Compiler
-# Date created: 			8 January 2004
-# Whom: 				John Merryweather Cooper
-#
+# Created by: John Merryweather Cooper
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	databases lang
@@ -18,6 +14,7 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	ODBC	"Install ODBC library suite for Unix"	off
+OPTIONS_DEFINE=	ODBC
+ODBC_DESC=	Install ODBC library suite for Unix
 
 .include "${MASTERDIR}/Makefile"

Modified: head/databases/fpc-oracle/Makefile
==============================================================================
--- head/databases/fpc-oracle/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/databases/fpc-oracle/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	Free Pascal Compiler
-# Date created: 			28 November 2001
-# Whom: 				John Merryweather Cooper et al
-#
+# Created by: John Merryweather Cooper et al
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	databases lang
@@ -18,6 +14,7 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	ORACLE	"Install oracle client"	off
+OPTIONS_DEFINE=	ORACLE
+ORACLE_DESC=	Install oracle client
 
 .include "${MASTERDIR}/Makefile"

Modified: head/databases/fpc-postgres/Makefile
==============================================================================
--- head/databases/fpc-postgres/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/databases/fpc-postgres/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	Free Pascal Compiler
-# Date created: 			28 November 2001
-# Whom: 				John Merryweather Cooper et al
-#
+# Created by: John Merryweather Cooper et al
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	databases lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	PGSQL	"Install PostgreSQL client"	on
+OPTIONS_DEFINE=	PGSQL
+PGSQL_DESC=	Install PostgreSQL client
+OPTIONS_DEFAULT=	PGSQL
 
 .include "${MASTERDIR}/Makefile"

Modified: head/databases/fpc-sqlite/Makefile
==============================================================================
--- head/databases/fpc-sqlite/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/databases/fpc-sqlite/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-sqlite
-# Date created: 			2006-06-05
-# Whom: 				Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
-#
+# Created by: Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	databases lang
@@ -18,6 +14,7 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	SQLITE	"Install SQLite database engine"	on
+OPTIONS_DEFINE=	SQLITE
+OPTIONS_DEFAULT=	SQLITE
 
 .include "${MASTERDIR}/Makefile"

Modified: head/devel/fpc-bfd/Makefile
==============================================================================
--- head/devel/fpc-bfd/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/devel/fpc-bfd/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	Free Pascal Compiler
-# Date created: 			2006-06-05
-# Whom: 				Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
-#
+# Created by: Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	devel lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	LIBBFD	"Install Universal BFD library from GNU binutils"	on
+OPTIONS_DEFINE=	LIBBFD
+LIBBFD_DESC=	Install Universal BFD library from GNU binutils
+OPTIONS_DEFAULT=	LIBBFD
 
 .include "${MASTERDIR}/Makefile"

Modified: head/devel/fpc-dbus/Makefile
==============================================================================
--- head/devel/fpc-dbus/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/devel/fpc-dbus/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-dbus
-# Date created:		2010-04-22
-# Whom:			Christopher Key <cjk32@cam.ac.uk>
-#
+# Created by: Christopher Key <cjk32@cam.ac.uk>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	devel lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	DBUS	"Install dbus library"	on
+OPTIONS_DEFINE=	DBUS
+DBUS_DESC=	Install dbus library
+OPTIONS_DEFAULT=	DBUS
 
 .include "${MASTERDIR}/Makefile"

Modified: head/devel/fpc-newt/Makefile
==============================================================================
--- head/devel/fpc-newt/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/devel/fpc-newt/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-newt
-# Date created:		2010-04-22
-# Whom:			Christopher Key <cjk32@cam.ac.uk>
-#
+# Created by: Christopher Key <cjk32@cam.ac.uk>
 # $FreeBSD$
-#
 
 PORTREVISION=	1
 CATEGORIES=	devel lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	NEWT   "Install newt library"     on
+OPTIONS_DEFINE=	NEWT
+NEWT_DESC=	Install newt library
+OPTIONS_DEFAULT=	NEWT
 
 .include "${MASTERDIR}/Makefile"

Modified: head/devel/fpc-sdl/Makefile
==============================================================================
--- head/devel/fpc-sdl/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/devel/fpc-sdl/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-sdl
-# Date created:		2009-01-06
-# Whom:			Jose Alonso Cardenas Marquez <acm@FreeBSD.org>
-#
+# Created by: Jose Alonso Cardenas Marquez <acm@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTVERSION=	0
 PORTREVISION=	3
@@ -19,6 +15,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	SDL   "Install SDL library"     on
+OPTIONS_DEFINE=	SDL
+SDL_DESC=	Install SDL library
+OPTIONS_DEFAULT=	SDL
 
 .include "${MASTERDIR}/Makefile"

Modified: head/ftp/fpc-libcurl/Makefile
==============================================================================
--- head/ftp/fpc-libcurl/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/ftp/fpc-libcurl/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-libcurl
-# Date created:		2007-09-11
-# Whom:			Jose Alonso Cardenas Marquez <acm@FreeBSD.org>
-#
+# Created by: Jose Alonso Cardenas Marquez <acm@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	ftp lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	LIBCURL	"Install curl tools and library "	on
+OPTIONS_DEFINE=	LIBCURL
+LIBCURL_DESC=	Install curl tools and library
+OPTIONS_DEFAULT=	LIBCURL
 
 .include "${MASTERDIR}/Makefile"

Modified: head/graphics/fpc-cairo/Makefile
==============================================================================
--- head/graphics/fpc-cairo/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/graphics/fpc-cairo/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-cairo
-# Date created:		2006-09-11
-# Whom:			Jose Alonso Cardenas Marquez <acm@FreeBSD.org>
-#
+# Created by: Jose Alonso Cardenas Marquez <acm@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTREVISION=	1
 CATEGORIES=	graphics lang
@@ -19,6 +15,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	LIBCAIRO	"Install cairo vector graphics library"	on
+OPTIONS_DEFINE=	LIBCAIRO
+LIBCAIRO_DESC=	Install cairo vector graphics library
+OPTIONS_DEFAULT=	LIBCAIRO
 
 .include "${MASTERDIR}/Makefile"

Modified: head/graphics/fpc-fpgtk/Makefile
==============================================================================
--- head/graphics/fpc-fpgtk/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/graphics/fpc-fpgtk/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-fpgtk
-# Date created:		2006-06-05
-# Whom:			Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
-#
+# Created by: Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	graphics lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	GTK1	"Gimp Toolkit for X11 GUI (version 1.x)"	on
+OPTIONS_DEFINE=	GTK1
+GTK1_DESC=	Gimp Toolkit for X11 GUI (version 1.x)
+OPTIONS_DEFAULT=	GTK1
 
 .include "${MASTERDIR}/Makefile"

Modified: head/graphics/fpc-ggi/Makefile
==============================================================================
--- head/graphics/fpc-ggi/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/graphics/fpc-ggi/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-ggi
-# Date created:		2006-06-05
-# Whom:			Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
-#
+# Created by: Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	graphics lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	LIBGGI	"Install ggi library"	on
+OPTIONS_DEFINE=	LIBGGI
+LIBGGI_DESC=	Install ggi library
+OPTIONS_DEFAULT=	LIBGGI
 
 .include "${MASTERDIR}/Makefile"

Modified: head/graphics/fpc-hermes/Makefile
==============================================================================
--- head/graphics/fpc-hermes/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/graphics/fpc-hermes/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-hermes
-# Date created:		2010-04-22
-# Whom:			Christopher Key <cjk32@cam.ac.uk>
-#
+# Created by: Christopher Key <cjk32@cam.ac.uk>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	graphics lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	HERMES	"Install hermes graphics library"	on
+OPTIONS_DEFINE=	HERMES
+HERMES_DESC=	Install hermes graphics library
+OPTIONS_DEFAULT=	HERMES
 
 .include "${MASTERDIR}/Makefile"

Modified: head/graphics/fpc-imagemagick/Makefile
==============================================================================
--- head/graphics/fpc-imagemagick/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/graphics/fpc-imagemagick/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-imagemagick
-# Date created:		2009-01-06
-# Whom:			Jose Alonso Cardenas Marquez <acm@FreeBSD.org>
-#
+# Created by: Jose Alonso Cardenas Marquez <acm@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTREVISION=	1
 CATEGORIES=	graphics lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	IMAGEMAGICK	"Install ImageMagick image proccesing tool"	on
+OPTIONS_DEFINE=	IMAGEMAGICK
+IMAGEMAGICK_DESC=	Install ImageMagick image proccesing tool
+OPTIONS_DEFAULT=	IMAGEMAGICK
 
 .include "${MASTERDIR}/Makefile"

Modified: head/graphics/fpc-imlib/Makefile
==============================================================================
--- head/graphics/fpc-imlib/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/graphics/fpc-imlib/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-imlib
-# Date created:		2006-06-05
-# Whom:			Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
-#
+# Created by: Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	graphics lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	IMLIB2	"Install imlib graphic library"	on
+OPTIONS_DEFINE=	IMLIB2
+IMLIB2_DESC=	Install imlib graphic library
+OPTIONS_DEFAULT=	IMLIB2
 
 .include "${MASTERDIR}/Makefile"

Modified: head/graphics/fpc-libgd/Makefile
==============================================================================
--- head/graphics/fpc-libgd/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/graphics/fpc-libgd/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-libgd
-# Date created:		2006-06-05
-# Whom:			Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
-#
+# Created by: Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
 # $FreeBSD$
-#
 
 PORTREVISION=	1
 CATEGORIES=	graphics lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	LIBGD	"Install gd graphic library"	on
+OPTIONS_DEFINE=	LIBGD
+LIBGD_DESC=	Install gd graphic library
+OPTIONS_DEFAULT=	LIBGD
 
 .include "${MASTERDIR}/Makefile"

Modified: head/graphics/fpc-libpng/Makefile
==============================================================================
--- head/graphics/fpc-libpng/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/graphics/fpc-libpng/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-libpng
-# Date created:		2006-06-05
-# Whom:			Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
-#
+# Created by: Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
 # $FreeBSD$
-#
 
 PORTREVISION=	1
 CATEGORIES=	graphics lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	LIBPNG	"Install png library for manipulating PNG images"	on
+OPTIONS_DEFINE=	LIBPNG
+LIBPNG_DESC=	Install png library for manipulating PNG images
+OPTIONS_DEFAULT=	LIBPNG
 
 .include "${MASTERDIR}/Makefile"

Modified: head/graphics/fpc-opengl/Makefile
==============================================================================
--- head/graphics/fpc-opengl/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/graphics/fpc-opengl/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-opengl
-# Date created:		2006-06-05
-# Whom:			Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
-#
+# Created by: Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
 # $FreeBSD$
-#
 
 PORTREVISION=	1
 CATEGORIES=	graphics lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	OPENGL	"Install opengl libraries"	on
+OPTIONS_DEFINE=	OPENGL
+OPENGL_DESC=	Install opengl libraries
+OPTIONS_DEFAULT=	OPENGL
 
 .include "${MASTERDIR}/Makefile"

Modified: head/graphics/fpc-proj4/Makefile
==============================================================================
--- head/graphics/fpc-proj4/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/graphics/fpc-proj4/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-proj4
-# Date created:		2010-04-22
-# Whom:			Christopher Key <cjk32@cam.ac.uk>
-#
+# Created by: Christopher Key <cjk32@cam.ac.uk>
 # $FreeBSD$
-#
 
 PORTREVISION=	1
 CATEGORIES=	graphics lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	PROJ	"Install proj library"	on
+OPTIONS_DEFINE=	PROJ
+PROJ_DESC=	Install proj library
+OPTIONS_DEFAULT=	PROJ
 
 .include "${MASTERDIR}/Makefile"

Modified: head/graphics/fpc-rsvg/Makefile
==============================================================================
--- head/graphics/fpc-rsvg/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/graphics/fpc-rsvg/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-rsvg
-# Date created:		2010-04-22
-# Whom:			Christopher Key <cjk32@cam.ac.uk>
-#
+# Created by: Christopher Key <cjk32@cam.ac.uk>
 # $FreeBSD$
-#
 
 PORTREVISION=	1
 CATEGORIES=	graphics lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//:S/^/lib/}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	LIBRSVG2	"Install librsvg2 library"	on
+OPTIONS_DEFINE=	LIBRSVG2
+LIBRSVG2_DESC=	Install librsvg2 library
+OPTIONS_DEFAULT=	LIBRSVG2
 
 .include "${MASTERDIR}/Makefile"

Modified: head/graphics/fpc-svgalib/Makefile
==============================================================================
--- head/graphics/fpc-svgalib/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/graphics/fpc-svgalib/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-svgalib
-# Date created:		2006-06-05
-# Whom:			Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
-#
+# Created by: Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	graphics lang
@@ -18,6 +14,7 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	SVGA	"Install svgalib low level console graphics library"	off
+OPTIONS_DEFINE=	SVGA
+SVGA_DESC=	Install svgalib low level console graphics library
 
 .include "${MASTERDIR}/Makefile"

Modified: head/lang/fpc-lua/Makefile
==============================================================================
--- head/lang/fpc-lua/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/lang/fpc-lua/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-lua
-# Date created:		2010-04-22
-# Whom:			Christopher Key <cjk32@cam.ac.uk>
-#
+# Created by: Christopher Key <cjk32@cam.ac.uk>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	LUA	"Install lua library"	on
+OPTIONS_DEFINE=	LUA
+LUA_DESC=	Install lua library
+OPTIONS_DEFAULT=	LUA
 
 .include "${MASTERDIR}/Makefile"

Modified: head/lang/fpc-rexx/Makefile
==============================================================================
--- head/lang/fpc-rexx/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/lang/fpc-rexx/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-rexx
-# Date created:		2010-04-22
-# Whom:			Christopher Key <cjk32@cam.ac.uk>
-#
+# Created by: Christopher Key <cjk32@cam.ac.uk>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	REXX_REGINA	"Install rexx-regina library"	on
+OPTIONS_DEFINE=	REXX_REGINA
+REXX_REGINA_DESC=	Install rexx-regina library
+OPTIONS_DEFAULT=	REXX_REGINA
 
 .include "${MASTERDIR}/Makefile"

Modified: head/lang/fpc-tcl/Makefile
==============================================================================
--- head/lang/fpc-tcl/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/lang/fpc-tcl/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-tcl
-# Date created:		2006-06-05
-# Whom:			Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
-#
+# Created by: Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	TCL	"Install tool commnad language"	on
+OPTIONS_DEFINE=	TCL
+TCL_DESC=	Install tool commnad language
+OPTIONS_DEFAULT=	TCL
 
 .include "${MASTERDIR}/Makefile"

Modified: head/lang/fpc-units/Makefile
==============================================================================
--- head/lang/fpc-units/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/lang/fpc-units/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-units
-# Date created:		2006-06-05
-# Whom:			Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
-#
+# Created by: Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
 # $FreeBSD$
-#
 
 PORTNAME=	units
 PORTVERSION=	2.6.0
@@ -22,85 +18,94 @@ NO_BUILD=	yes
 
 BUILDNAME=	${ARCH}-freebsd
 
-OPTIONS=	A52	"Interface to a52 library"	on \
-		ASPELL "Interface to aspell spelling checker"	on \
-		BFD	"Interface to GNU Binary Format description"	on \
-		BZIP2	"Free Pascal bzip2 unit"	on \
-		CAIRO	"Interface to cairo library" on \
-		CHM	"Free Pbscal unit to manipulate chm files" on \
-		DBUS	"Interface to dbus library"	on \
-		DTS	"Interface to dts library"	on \
-		FASTCGI	"Free Pascal fastcgi unit" on \
-		FCL_ASYNC "Free Pascal interface to async library" on \
-		FCL_BASE	"Free Pascal Component Library (base)"	on \
-		FCL_DB	"Free Pascal Component Library (db)"	on \
-		FCL_EXTRA	"Free Pascal Component Library (extra)"	on \
-		FCL_FPCUNIT	"Free Pascal Component Library (fpcunit)"	on \
-		FCL_IMAGE	"Free Pascal Component Library (image)"	on \
-		FCL_JSON	"Free Pascal implementation of JSON"	on \
-		FCL_NET	"Free Pascal Component Library (net)"	on \
-		FCL_PASSRC	"Free Pascal Component Library (passrc)"	on \
-		FCL_PROCESS	"Unit to start and manipulate other programs"	on \
-		FCL_REGISTRY	"Free Pascal Component Library (registry)"	on \
-		FCL_RES	"Free Pascal Component Library (res)"	on \
-		FCL_WEB	"Free Pascal Component Library (web)"	on \
-		FCL_XML	"Free Pascal Component Library (xml)"	on \
-		FFTW	"Interface to the FFTW3 library" on \
-		FPGTK	"Interface to create programs with gtk"	on \
-		FPPKG	"Free Pascal package unit"	on \
-		FPMKUNIT "Free Pascal build system unit" on \
-		FPVECTORIAL	"Free Pascal fpvectorial unit"	on \
-		FV	"Free Pascal unit for Delphi support" on \
-		GDBM	"Interface to the GNU database system"	on \
-		GGI	"Interface to libggi library"	on \
-		GMP	"Interface to gmp library"	on \
-		GNOME1	"Interface to create programs for GNOME" on \
-		GTK1	"Interface to gtk libraries"	on \
-		GTK2	"Interface to gtk2 libraries"	on \
-		HERMES	"Free Pascal hermes unit"	on \
-		ICONVENC	"Interface to iconv library"	on \
-		IMAGEMAGICK	"Interface to ImageMagick"	on \
-		IMLIB	"Interface to imlib library"	on \
-		LDAP	"Interface to OpenLDAP"	on \
-		LIBCURL	"Interface to curl library"	on \
-		LIBGD	"Interface to gd library"	on \
-		LIBPNG	"Interface to png library"	on \
-		LIBXML2	"Interface to libxml2 library"	on \
-		LUA	"Interface to lua interpreter"	on \
-		MAD	"Interface to mad library" on \
-		MATROSKA	"Interface to matroska library" on \
-		MODPLUG	"Interface to modplug library"	on \
-		NCURSES	"Interface to ncurses library"	on \
-		NEWT	"Interface to newt library"	on \
-		NUMLIB	"Free Pascal unit for numerical methods"	on \
-		OGGVORBIS	"Interaface to ogg & vorbis libraries"	on \
-		OPENAL	"Interface to openal library"	on \
-		OPENGL	"Interface to opengl library"	on \
-		OPENSSL	"Interface to openssl library"	on \
-		PCAP	"Interface to pcap library"	on \
-		PROJ4	"Interface to proj library"	on \
-		PXLIB	"Unit to read various Paradox file"	on \
-		REXX	"Intrface to rexx-regina library"	on \
-		RSVG	"Interface to rsvg2 library"	on \
-		SDL	"Free Pascal interface to SDL library"	on \
-		SNDFILE	"Interface to sndfile library"	on \
-		SVGALIB	"Interface to svgalib library"	on \
-		SYMBOLIC	"Simple expression parsing and evaluating"	on \
-		SYSLOG	"Interface to system logger"	on \
-		TCL	"Interface to tcl/tk interpreter"	on \
-		UNZIP	"Routines for unzipping zip files"	on \
-		USERS	"Interface to manipulate users"	on \
-		UTMP	"Gather information from the utmp file"	on \
-		UUID	"Free Pascal uuid unit"	on \
-		X11	"Interface to X windows server"	on \
-		XFORMS	"Interface to X-Forms"	on \
-		ZLIB	"Interface to the zlib compression library"	on \
+OPTIONS_DEFINE=	A52 ASPELL BFD BZIP2 CAIRO CHM DBUS DTS FASTCGI FCL-ASYNC FCL-BASE \
+		FCL-EXTRA FCL-DB FCL-FPCUNIT FCL-IMAGE FCL-JSON FCL-NET FCL-PASSRC \
+		FCL-PROCESS FCL-REGISTRY FCL-RES FCL-WEB FCL-XML FFTW FPGTK FPMKUNIT \
+		FPPKG FPVECTORIAL FV GDBM GGI GMP GNOME1 GTK1 GTK2 HERMES ICONVENC \
+		IMAGEMAGICK IMLIB LDAP LIBCURL LIBGD LIBPNG LIBXML2 LUA MAD MATROSKA \
+		MODPLUG NCURSES NEWT NUMLIB OGGVORBIS OPENAL OPENGL OPENSSL PCAP PROJ4 \
+		PXLIB RSVG REXX SDL SNDFILE SVGALIB SYMBOLIC SYSLOG TCL UNZIP USERS \
+		UTMP UUID X11 XFORMS ZLIB
+
+A52_DESC=	Interface to a52 library
+ASPELL_DESC=	Interface to aspell spelling checker
+BFD_DESC=	Interface to GNU Binary Format description
+BZIP2_DESC=	Free Pascal bzip2 unit
+CAIRO_DESC=	Interface to cairo library
+CHM_DESC=	Free Pbscal unit to manipulate chm files
+DBUS_DESC=	Interface to dbus library
+DTS_DESC=	Interface to dts library
+FASTCGI_DESC=	Free Pascal fastcgi unit
+FCL_ASYNC_DESC=	Free Pascal interface to async library
+FCL_BASE_DESC=	Free Pascal Component Library (base)
+FCL_DB_DESC=	Free Pascal Component Library (db)
+FCL_EXTRA_DESC=	Free Pascal Component Library (extra)
+FCL_FPCUNIT_DESC=	Free Pascal Component Library (fpcunit)
+FCL_IMAGE_DESC=	Free Pascal Component Library (image)
+FCL_JSON_DESC=	Free Pascal implementation of JSON
+FCL_NET_DESC=	Free Pascal Component Library (net)
+FCL_PASSRC_DESC=	Free Pascal Component Library (passrc)
+FCL_PROCESS_DESC=	Unit to start and manipulate other programs
+FCL_REGISTRY_DESC=	Free Pascal Component Library (registry)
+FCL_RES_DESC=	Free Pascal Component Library (res)
+FCL_WEB_DESC=	Free Pascal Component Library (web)
+FCL_XML_DESC=	Free Pascal Component Library (xml)
+FFTW_DESC=	Interface to the FFTW3 library
+FPGTK_DESC=	Interface to create programs with gtk
+FPPKG_DESC=	Free Pascal package unit
+FPMKUNIT_DESC=	Free Pascal build system unit
+FPVECTORIAL_DESC=	Free Pascal fpvectorial unit
+FV_DESC=	Free Pascal unit for Delphi support
+GDBM_DESC=	Interface to the GNU database system
+GGI_DESC=	Interface to libggi library
+GMP_DESC=	Interface to gmp library
+GNOME1_DESC=	Interface to create programs for GNOME
+GTK1_DESC=	Interface to gtk libraries
+GTK2_DESC=	Interface to gtk2 libraries
+HERMES_DESC=	Free Pascal hermes unit
+ICONVENC_DESC=	Interface to iconv library
+IMAGEMAGICK_DESC=	Interface to ImageMagick
+IMLIB_DESC=	Interface to imlib library
+LDAP_DESC=	Interface to OpenLDAP
+LIBCURL_DESC=	Interface to curl library
+LIBGD_DESC=	Interface to gd library
+LIBPNG_DESC=	Interface to png library
+LIBXML2_DESC=	Interface to libxml2 library
+LUA_DESC=	Interface to lua interpreter
+MAD_DESC=	Interface to mad library
+MATROSKA_DESC=	Interface to matroska library
+MODPLUG_DESC=	Interface to modplug library
+NCURSES_DESC=	Interface to ncurses library
+NEWT_DESC=	Interface to newt library
+NUMLIB_DESC=	Free Pascal unit for numerical methods
+OGGVORBIS_DESC=	Interaface to ogg & vorbis libraries
+OPENAL_DESC=	Interface to openal library
+OPENGL_DESC=	Interface to opengl library
+OPENSSL_DESC=	Interface to openssl library
+PCAP_DESC=	Interface to pcap library
+PROJ4_DESC=	Interface to proj library
+PXLIB_DESC=	Unit to read various Paradox file
+REXX_DESC=	Intrface to rexx-regina library
+RSVG_DESC=	Interface to rsvg2 library
+SDL_DESC=	Free Pascal interface to SDL library
+SNDFILE_DESC=	Interface to sndfile library
+SVGALIB_DESC=	Interface to svgalib library
+SYMBOLIC_DESC=	Simple expression parsing and evaluating
+SYSLOG_DESC=	Interface to system logger
+TCL_DESC=	Interface to tcl/tk interpreter
+UNZIP_DESC=	Routines for unzipping zip files
+USERS_DESC=	Interface to manipulate users
+UTMP_DESC=	Gather information from the utmp file
+UUID_DESC=	Free Pascal uuid unit
+X11_DESC=	Interface to X windows server
+XFORMS_DESC=	Interface to X-Forms
+ZLIB_DESC=	Interface to the zlib compression library
 
 LATEST_LINK=	${PKGNAMEPREFIX}${PORTNAME}
-                
+
 .include <bsd.port.options.mk>
 
-ALL_OPTIONS=	A52 ASPELL BFD BZIP2 CAIRO CHM DBUS DTS FASTCGI FCL-ASYNC FCL-BASE \
+OPTIONS_DEFAULT=	A52 ASPELL BFD BZIP2 CAIRO CHM DBUS DTS FASTCGI FCL-ASYNC FCL-BASE \
 		FCL-EXTRA FCL-DB FCL-FPCUNIT FCL-IMAGE FCL-JSON FCL-NET FCL-PASSRC \
 		FCL-PROCESS FCL-REGISTRY FCL-RES FCL-WEB FCL-XML FFTW FPGTK FPMKUNIT \
 		FPPKG FPVECTORIAL FV GDBM GGI GMP GNOME1 GTK1 GTK2 HERMES ICONVENC \
@@ -110,8 +115,8 @@ ALL_OPTIONS=	A52 ASPELL BFD BZIP2 CAIRO 
 		UTMP UUID X11 XFORMS ZLIB
 
 UNITS_SELECTED=		#
-.for OPT in ${ALL_OPTIONS}
-.	if defined(WITH_${OPT}) || !defined(WITHOUT_${OPT})
+.for OPT in ${OPTIONS_DEFINE}
+.	if ${PORT_OPTIONS:M${OPT})
 UNITS_SELECTED+=	${OPT:L}
 .	endif
 .endfor

Modified: head/math/fpc-fftw/Makefile
==============================================================================
--- head/math/fpc-fftw/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/math/fpc-fftw/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fpc-fftw
-# Date created:		2006-09-05
-# Whom:			Jose Alonso Cardenas Marquez <acm@FreeBSD.org>
-#
+# Created by: Jose Alonso Cardenas Marquez <acm@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	math lang
@@ -18,6 +14,8 @@ MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
 EXTRACTUNITDIR+=	${WRKUNITDIR}
 
-OPTIONS=	FFTW3	"Install FFTW3 library"	on
+OPTIONS_DEFINE=	FFTW3
+FFTW3_DESC=	Install FFTW3 library
+OPTIONS_DEFAULT=	FFTW3
 
 .include "${MASTERDIR}/Makefile"

Modified: head/math/fpc-gmp/Makefile
==============================================================================
--- head/math/fpc-gmp/Makefile	Thu Mar 14 05:35:08 2013	(r314132)
+++ head/math/fpc-gmp/Makefile	Thu Mar 14 06:32:04 2013	(r314133)
@@ -1,9 +1,5 @@

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2013-03-14 06:55:34 UTC
State Changed
From-To: open->closed

Committed, Thanks! 


Comment 4 Jason Helfman freebsd_committer 2013-03-14 06:55:34 UTC
Responsible Changed
From-To: acm->jgh

Committed, Thanks!